void printf(char *,...);
void exit(int);

extern void *args;

void** std_args()
{
 return &args;
}

void pop_never_null()
{
 printf("Null pointer exception. \n\n");
 exit(1);
}

void pop_exn_handler(void* exn)
{
  /* We could actually do something here but for now.*/
 printf("Uncaught exception: %p\n",exn);
 exit(0);
}
